## packeth 1.6.2

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # packETH - ethernet packet generator
-# By Miha Jemec <m.jemec@iskratel.si>
+# By Miha Jemec <jemcek@gmail.com>
 # Copyright 2003 Miha Jemec, Iskratel
 
 # This program is free software; you can redistribute it and/or
