## packeth 1.6.5

=== debian/changelog ===
packeth (1.6.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added -fcommon to CFLAGS as a workaround
    to fix a FTBFS with GCC-10. (Closes: #957657)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 20 Aug 2020 15:05:18 -0300

packeth (1.6.5-2) unstable; urgency=low

  * Fix FTBFS because of wrong link order, thanks to Colin Watson
    (Closes: #641422)
  * Standards-Version bumped to 3.9.2, no changes needed
  * Bump debhelper compatibility to 8

 -- David Paleino <dapal@debian.org>  Tue, 13 Sep 2011 15:10:01 +0200

packeth (1.6.5-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - updated my email address
    - DMUA removed
    - bumped Standards-Version to 3.8.4 (no changes needed)
    - bumped debhelper dependency to >= 7.0.50~, to use
      overridden rules
    - removed Build-Dependency on quilt
  * debian/rules:
    - use dh7
    - rename /usr/bin/packETH to /usr/bin/packeth
  * debian/watch updated
  * debian/source/format: use 3.0 (quilt)
  * debian/patches/:
    - fix_pixmaps.patch removed, fixed upstream
    - fix_warnings.patch updated, and renamed to 01-fix_warnings.patch
    - fix_Makefile.patch removed, fixed in debian/rules
    - 02-fix_typo.patch added
  * debian/examples removed, no more available upstream
  * debian/packeth.1 manually rewritten, without using docbook sources
  * debian/copyright: point to the non-symlink license

 -- David Paleino <dapal@debian.org>  Thu, 04 Mar 2010 21:32:00 +0100

packeth (1.6.3-1) unstable; urgency=low

  * New upstream version
  * debian/rules rewritten to adapt to new source layout
    - debian/manpages added
    - debian/examples added
    - debian/dirs added
  * debian/control:
    - bumped quilt Build-Depends to >= 0.46-7~ (to use --with quilt in
      dh7)
    - Standards-Version bumped to 3.8.3 (no changes needed)
  * debian/patches/* refreshed to cleanly apply

 -- David Paleino <d.paleino@gmail.com>  Sat, 31 Oct 2009 21:27:00 +0100

packeth (1.6.2-3) unstable; urgency=low

  * debian/rules:
    - fix clean target, FTBFS because of cruft left in debian/
      (Closes: #515719)

 -- David Paleino <d.paleino@gmail.com>  Tue, 17 Feb 2009 12:30:30 +0100

packeth (1.6.2-2) unstable; urgency=low

  * Upload to unstable.

 -- David Paleino <d.paleino@gmail.com>  Sun, 15 Feb 2009 12:40:34 +0100

packeth (1.6.2-1) experimental; urgency=low

  * New Upstream Version
  * debian/copyright updated
  * debian/control:
    - setting DM-Upload-Allowed
  * Packaging switched to dh7

 -- David Paleino <d.paleino@gmail.com>  Sun, 01 Feb 2009 17:07:14 +0100

packeth (1.6-2) unstable; urgency=low

  * [67fe44f] Packaging converted to git: fixed Vcs-* urls accordingly
  * [dc4ed8d] Adding .desktop file
  * [a2b61db] Added menu file (Closes: #501384)
  * [dd20a8f] debian/rules updated
  * [e999125] debian/changelog updated
  * [bc31532] Added descriptions to the patches
  * [3a7c40c] Standards-Version bump to 3.8.0, debian/README.source
    added.
  * [2a748ea] Fixed menu section

 -- David Paleino <d.paleino@gmail.com>  Wed, 31 Dec 2008 16:03:20 +0100

packeth (1.6-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - "Ethernet" not capitalized in descriptions (Closes: #466497)
    - debhelper dependency bumped to 6 (also debian/compat)

 -- David Paleino <d.paleino@gmail.com>  Thu, 21 Feb 2008 10:42:00 +0100

packeth (1.5-2) unstable; urgency=low

  * debian/patches/fix_pixmaps.patch added (Closes: #465999)

 -- David Paleino <d.paleino@gmail.com>  Sat, 16 Feb 2008 11:14:37 +0100

packeth (1.5-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - updated Vcs-Svn and Vcs-Browser (were missing a "/trunk" at the end)
    - Standards-Version bumped to 3.7.3
  * debian/rules:
    - updated to fix new upstream source tree
  * debian/patches:
    - updated: upstream integrated the patches :)
    - added new patch to fix some GCC warnings  

 -- David Paleino <d.paleino@gmail.com>  Sat, 05 Jan 2008 12:32:24 +0100

packeth (1.4.1-3) unstable; urgency=low

  * Maintenance upload; no new features / bug fixes.
  * Using quilt as patch system now.
  * debian/control:
    - now the package is in collab-maint, added Vcs-Browser and Vcs-Svn
      fields
    - moving deprecated Homepage pseudo-field in the long description
      to the real one in the source stanza
    - wrapped Build-Depends
  * debian/rules:
    - using quilt now; adjusting targets
    - added new target (packeth.1) for offline static manpage generation
    - adding addresslist as example
    - minor changes
  * debian/packeth.1 is now generated offline, not by buildds. This will
    save some space for Build-Depends and building time on slower machines.
  * debian/manpage.xml moved to debian/packeth.xml
  * debian/dirs removed
  * debian/docs removed
  * debian/patches/fix_Makefile.patch: removing unused library linkings
    (keeping commented the old one, for any future reference)

 -- David Paleino <d.paleino@gmail.com>  Sat, 17 Nov 2007 16:46:15 +0100

packeth (1.4.1-2) unstable; urgency=low

  * Fixing cutting-out of "Send" button (Closes: #434129)
  * Fixing "debian-rules-ignores-make-clean-error" from lintian

 -- David Paleino <d.paleino@gmail.com>  Mon, 17 Sep 2007 13:18:15 +0200

packeth (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #332396)

 -- David Paleino <d.paleino@gmail.com>  Fri, 25 May 2007 19:30:39 +0200
