=== debian/control ===
Source: packeth
Section: net
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , libgtk2.0-dev
 , libatk1.0-dev
 , libcairo2-dev
 , libpango1.0-dev
 , libglib2.0-dev
Vcs-Browser: http://git.debian.org/?p=collab-maint/packeth.git
Vcs-Git: git://git.debian.org/git/collab-maint/packeth.git
Homepage: http://packeth.sourceforge.net
Standards-Version: 3.9.2

Package: packeth
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: Ethernet packet generator
 packeth is a GUI packet generator tool for Ethernet.
 It allows you to create and send any possible packet
 or sequence of packets via Ethernet. It also
 supports the PCAP format, so you can load packets
 from any other program (i.e. wireshark).
 .
 You can create and send any Ethernet packet. The
 supported protocols are: Ethernet II, Ethernet
 802.3, 802.1q, QinQ, ARP, IPv4, UDP, TCP, ICMP,
 IGMP, RTP.
