=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS = -Wall -g -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -fcommon
export LDFLAGS = -Wl,-z,defs -Wl,--as-needed

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/packeth/usr/bin/packETH \
	   $(CURDIR)/debian/packeth/usr/bin/packeth

%:
	dh $@
