=== debian/watch ===
version=3
http://sf.net/packeth/packETH-(.*)\.tar\.gz
http://sf.net/packeth/packETH-(.*)\.tar\.bz
