## packeth 2.1

=== debian/changelog ===
packeth (2.1-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Drop unused code with x86 assembly (Closes: #1053312)

 -- Bastian Germann <bage@debian.org>  Sun, 01 Oct 2023 12:56:11 +0000

packeth (2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 2.1
    + d/watch: Search also without prefix
  * Only build the CLI tool (Closes: #967679)
    + d/install: Drop it to prevent the desktop file from being installed
    + d/docs: Install the cli/README (Closes: #863986)
    + Do not claim packeth to be a GUI program in man or package description
  * d/menu: Drop old file
  * d/copyright: Convert to machine-readable format
  * d/control:
    + Drop non-existing Vcs fields
    + Update to debhelper-compat 9

 -- Bastian Germann <bage@debian.org>  Wed, 20 Sep 2023 17:54:49 +0000
