=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,17 @@
 export CFLAGS = -Wall -g -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -fcommon
 export LDFLAGS = -Wl,-z,defs -Wl,--as-needed
 
+override_dh_auto_clean:
+	cd cli && $(MAKE) clean
+	dh_auto_clean
+
+override_dh_auto_build:
+	cd cli && $(MAKE)
+
 override_dh_auto_install:
-	dh_auto_install
-	mv $(CURDIR)/debian/packeth/usr/bin/packETH \
+	cp -r pixmaps cli/
+	cd cli && $(MAKE) DESTDIR=$(CURDIR)/debian/packeth install
+	mv $(CURDIR)/debian/packeth/usr/bin/packETHcli \
 	   $(CURDIR)/debian/packeth/usr/bin/packeth
 
 %:
