=== debian/watch ===
version=4
https://sf.net/packeth/ (packETH-)?(\d[^/]+)@ARCHIVE_EXT@
