=== debian/changelog ===
packeth (3.0-1) unstable; urgency=medium

  * Team upload.
    Closes: #1086687

  [ Andreas Tille ]
  * New upstream version
    Closes: #720189
  * Maintain package in Package Salvage team
  * Add Homepage (pointing to Github instead of outdated Sourceforge)
  * Point watch file to Github
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Build-Depends: pkgconf, libgtk-3-dev
  * Enable hardening options
  * Install desktop file
  * README is compressed - fix manpage accordingly
    Closes: #1069783
  * Drop redundant debian/README.source
  * Do not address bug #1086196 (packeth should include GUI version)
    yet but prepare installation and rules.  The reason is that the
    resulting package would require more dependencies and its probably
    better to have a separate binary package.
  * Review d/copyright
  * Provide manpage also for original name

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Closes: #1059795

 -- Andreas Tille <tille@debian.org>  Mon, 04 Nov 2024 13:06:42 +0100
