=== debian/control ===
--- 
+++ 
@@ -1,11 +1,16 @@
 Source: packeth
 Section: net
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
-Build-Depends:
- debhelper-compat (= 9)
-Homepage: http://packeth.sourceforge.net
-Standards-Version: 3.9.2
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: David Paleino <dapal@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               pkgconf,
+               libgtk-3-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/salvage-team/packeth
+Vcs-Git: https://salsa.debian.org/salvage-team/packeth.git
+Homepage: https://github.com/jemcek/packETH/
+Rules-Requires-Root: no
 
 Package: packeth
 Architecture: any
