=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	cd cli && $(MAKE) clean
	dh_auto_clean

override_dh_auto_build:
	# dh_auto_build # uncomment this to fix bug #1086196
	dh_auto_build --sourcedirectory=cli

override_dh_auto_install: # drop this to fix bug #1086196
	dh_auto_build --sourcedirectory=cli
